2012/1/15 Hiroshi Nakamura <nahi / ruby-lang.org>:
> (2012/01/14 12:30), KOSAKI Motohiro wrote:
>>> To remove original DL completely, we have to bundle libffi itself
>>> wholly.
>>
>> Why?
>
> I have no idea about the original point and your question.
>
>> Example, openssl is really important and rubygems and some modules
>> strongly depend on it.
>
> There are some features in several libraries that depends on ext/openssl
> (ossl), but there's no library that depends on ossl for providing main
> features of the library. =A0I don't think we can call this situation
> 'strongly depend on.'
>
>
> digest ... not required but use ossl when it's available for security
> securerandom ... ditto
>
> drb/ssl ... requires ossl when you use ssl server
> webrick/ssl ... ditto
>
> net/http ... requires ossl when you connect to https
> net/imap,pop,smtp ... requires ossl when you connect to a server via TLS
>
> rubygems ... requires ossl when you connect source repo via https
> =A0 =A0 =A0 =A0 =A0 =A0 (sign feature uses ossl but the feature is not us=
ed)
>
>
> Sorry for not providing thoughts to original topic this time. =A0I'm not
> yet fully understand the point just from my laziness.

I meant, virtually, all people enabled ossl. but we don't get a lot of
confusion.
Maybe libffi is not so different.